## tint 0.0.2

=== DESCRIPTION ===
Package: tint
Type: Package
Title: Tint is not Tufte
Version: 0.0.2
Date: 2016-10-06
Author: Dirk Eddelbuettel
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: A 'tufte'-alike style for 'rmarkdown'.
URL: http://dirk.eddelbuettel.com/code/tint.html
BugReports: https://github.com/eddelbuettel/tint/issues
Imports: htmltools, knitr, rmarkdown
License: GPL-3
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-10-07 01:52:37.161623 UTC; edd
Repository: CRAN
Date/Publication: 2016-10-07 09:19:32

## tint 0.0.3

=== DESCRIPTION ===
Package: tint
Type: Package
Title: Tint is not Tufte
Version: 0.0.3
Date: 2016-10-15
Author: Dirk Eddelbuettel
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: A 'tufte'-alike style for 'rmarkdown'.
URL: http://dirk.eddelbuettel.com/code/tint.html
BugReports: https://github.com/eddelbuettel/tint/issues
Imports: htmltools, knitr, rmarkdown
License: GPL-3
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-10-15 19:44:40.95332 UTC; edd
Repository: CRAN
Date/Publication: 2016-10-16 02:43:12

## tint 0.0.4

=== DESCRIPTION ===
Package: tint
Type: Package
Title: 'tint' is not 'Tufte'
Version: 0.0.4
Date: 2017-11-02
Author: Dirk Eddelbuettel
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: A 'tufte'-alike style for 'rmarkdown'.
URL: http://dirk.eddelbuettel.com/code/tint.html
BugReports: https://github.com/eddelbuettel/tint/issues
Imports: htmltools, knitr, rmarkdown
Suggests: ggplot2
VignetteBuilder: knitr
License: GPL-3
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-11-02 17:01:58 UTC; edd
Repository: CRAN
Date/Publication: 2017-11-03 14:03:48 UTC

## tint 0.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: tint
 Type: Package
 Title: 'tint' is not 'Tufte'
-Version: 0.0.4
-Date: 2017-11-02
+Version: 0.0.5
+Date: 2018-01-05
 Author: Dirk Eddelbuettel
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A 'tufte'-alike style for 'rmarkdown'.
@@ -14,6 +14,6 @@
 License: GPL-3
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-11-02 17:01:58 UTC; edd
+Packaged: 2018-01-05 13:41:24 UTC; edd
 Repository: CRAN
-Date/Publication: 2017-11-03 14:03:48 UTC
+Date/Publication: 2018-01-05 16:06:13 UTC

## tint 0.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: tint
 Type: Package
 Title: 'tint' is not 'Tufte'
-Version: 0.0.5
-Date: 2018-01-05
+Version: 0.1.0
+Date: 2018-04-08
 Author: Dirk Eddelbuettel
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A 'tufte'-alike style for 'rmarkdown'.
@@ -14,6 +14,6 @@
 License: GPL-3
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-01-05 13:41:24 UTC; edd
+Packaged: 2018-04-08 14:46:18.067442 UTC; edd
 Repository: CRAN
-Date/Publication: 2018-01-05 16:06:13 UTC
+Date/Publication: 2018-04-08 17:19:52

## tint 0.1.1

=== DESCRIPTION ===
Package: tint
Type: Package
Title: 'tint' is not 'Tufte'
Version: 0.1.1
Date: 2019-03-30
Author: Dirk Eddelbuettel and Jonathan Gilligan
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: A 'tufte'-alike style for 'rmarkdown'.
URL: http://dirk.eddelbuettel.com/code/tint.html
BugReports: https://github.com/eddelbuettel/tint/issues
Imports: htmltools, knitr, rmarkdown
Suggests: ggplot2
VignetteBuilder: knitr
License: GPL-3
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-03-30 13:13:08.712731 UTC; edd
Repository: CRAN
Date/Publication: 2019-04-01 18:40:04 UTC

## tint 0.1.2

=== DESCRIPTION ===
Package: tint
Type: Package
Title: 'tint' is not 'Tufte'
Version: 0.1.2
Date: 2019-04-19
Author: Dirk Eddelbuettel and Jonathan Gilligan
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: A 'tufte'-alike style for 'rmarkdown'.
 A modern take on the 'Tufte' design for pdf and html vignettes,
 building on the 'tufte' package with additional contributions
 from the 'knitr' and 'ggtufte' package, and also acknowledging
 the key influence of 'envisioned css'.
URL: http://dirk.eddelbuettel.com/code/tint.html
BugReports: https://github.com/eddelbuettel/tint/issues
Imports: htmltools, knitr, rmarkdown
Suggests: ggplot2
VignetteBuilder: knitr
License: GPL-3
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-04-19 14:10:11.68743 UTC; edd
Repository: CRAN
Date/Publication: 2019-04-19 14:30:03 UTC

## tint 0.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: tint
 Type: Package
 Title: 'tint' is not 'Tufte'
-Version: 0.1.2
-Date: 2019-04-19
+Version: 0.1.3
+Date: 2020-07-18
 Author: Dirk Eddelbuettel and Jonathan Gilligan
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: A 'tufte'-alike style for 'rmarkdown'.
@@ -19,6 +19,6 @@
 RoxygenNote: 6.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2019-04-19 14:10:11.68743 UTC; edd
+Packaged: 2020-07-18 11:59:18.110036 UTC; edd
 Repository: CRAN
-Date/Publication: 2019-04-19 14:30:03 UTC
+Date/Publication: 2020-07-18 12:20:03 UTC

## tint 0.1.4

=== DESCRIPTION ===
Package: tint
Type: Package
Title: 'tint' is not 'Tufte'
Version: 0.1.4
Date: 2022-11-01
Author: Dirk Eddelbuettel and Jonathan Gilligan
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: A 'tufte'-alike style for 'rmarkdown'.
 A modern take on the 'Tufte' design for pdf and html vignettes,
 building on the 'tufte' package with additional contributions
 from the 'knitr' and 'ggtufte' package, and also acknowledging
 the key influence of 'envisioned css'.
URL: https://github.com/eddelbuettel/tint/,
        https://dirk.eddelbuettel.com/code/tint.html
BugReports: https://github.com/eddelbuettel/tint/issues
Imports: htmltools, knitr, rmarkdown
Suggests: ggplot2
VignetteBuilder: knitr
License: GPL-3
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2022-11-01 19:54:02 UTC; edd
Repository: CRAN
Date/Publication: 2022-11-01 20:30:02 UTC

## tint 0.1.5

=== DESCRIPTION ===
Package: tint
Type: Package
Title: 'tint' is not 'Tufte'
Version: 0.1.5
Date: 2025-03-27
Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
                    comment = c(ORCID = "0000-0001-6419-907X")),
             person("Jonathan", "Gilligan", role = "ctb",
                    comment = c(ORCID = "0000-0003-1375-6686")))
Description: A 'tufte'-alike style for 'rmarkdown'.
 A modern take on the 'Tufte' design for pdf and html vignettes,
 building on the 'tufte' package with additional contributions
 from the 'knitr' and 'ggtufte' package, and also acknowledging
 the key influence of 'envisioned css'.
URL: https://github.com/eddelbuettel/tint/,
        https://dirk.eddelbuettel.com/code/tint.html
BugReports: https://github.com/eddelbuettel/tint/issues
Imports: htmltools, knitr, rmarkdown
Suggests: ggplot2
VignetteBuilder: knitr
License: GPL-3
RoxygenNote: 6.0.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2025-03-27 22:46:46 UTC; edd
Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
  Jonathan Gilligan [ctb] (<https://orcid.org/0000-0003-1375-6686>)
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Repository: CRAN
Date/Publication: 2025-03-27 23:00:02 UTC

## tint 0.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: tint
 Type: Package
 Title: 'tint' is not 'Tufte'
-Version: 0.1.5
-Date: 2025-03-27
+Version: 0.1.6
+Date: 2025-09-25
 Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
                     comment = c(ORCID = "0000-0001-6419-907X")),
              person("Jonathan", "Gilligan", role = "ctb",
@@ -22,9 +22,11 @@
 RoxygenNote: 6.0.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2025-03-27 22:46:46 UTC; edd
-Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
-  Jonathan Gilligan [ctb] (<https://orcid.org/0000-0003-1375-6686>)
+Packaged: 2025-09-25 13:25:39 UTC; edd
+Author: Dirk Eddelbuettel [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-6419-907X>),
+  Jonathan Gilligan [ctb] (ORCID:
+    <https://orcid.org/0000-0003-1375-6686>)
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Repository: CRAN
-Date/Publication: 2025-03-27 23:00:02 UTC
+Date/Publication: 2025-09-25 15:40:02 UTC

## tint 0.02d

=== debian/changelog ===
tint (0.02d) unstable; urgency=low

  * Install man page in correct directory (Closes: #128923)
  * Created a postinst program that checks for old score files
    before installing the default score file (Closes: #136466)
  * Added a menu control file (Closes: #128924)

 -- Abraham van der Merwe <abz@debian.org>  Wed, 19 Dec 2001 18:03:34 +0200

tint (0.02c) unstable; urgency=low

  * Removed common-sense suggests from control file *g* (Closes: #123204)

 -- Abraham van der Merwe <abz@debian.org>  Wed, 19 Dec 2001 18:03:34 +0200

tint (0.02b) unstable; urgency=low

  * Changed the name from tclassic to tint (as in TINT Is Not Tetris(tm))
  * Added a build dependancy on libncurses5-dev (Closes: #124241)
  * Changed the location for the score file to /var/games (Closes: #124236)
  * Made score file sgid games (Closes: #123595)

 -- Abraham van der Merwe <abz@debian.org>  Wed, 19 Dec 2001 18:03:34 +0200

tclassic (0.02a) unstable; urgency=low

  * Initial Release. (Closes: #122839)

 -- Abraham van der Merwe <abz@debian.org>  Fri,  7 Dec 2001 17:59:25 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: tint
Section: games
Priority: optional
Maintainer: Abraham van der Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0), libncurses5-dev
Standards-Version: 3.5.2

Package: tint
Architecture: any
Depends: ${shlibs:Depends}
Replaces: tclassic
Conflicts: tclassic
Description: TINT Is Not Tetris(tm) ...at least the name isn't (:
 As the title suggests, this is a clone of the original tetris game
 written by Alexey Pajitnov, Dmitry Pavlovsky, and Vadim Gerasimov.
 .
 I've tried to keep the game as close to the original as possible, but
 there is a few differences. Nevertheless, it's probably the closest to
 the original that you'll ever find in the UNIX world...

## tint 0.03a

=== Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.net>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

#CROSS = arm-linux-

bindir = $(DESTDIR)/usr/games
mandir = $(DESTDIR)/usr/share/man
localstatedir = $(DESTDIR)/var/games

ifeq ($(CC),)
CC = gcc
else
ifeq ($(CC),colorgcc)
	ifneq ($(CROSS),)
	CC = gcc
	endif
endif
endif

CFLAGS = -Wall -O2 -pipe
CPPFLAGS = -DSCOREFILE=\"$(localstatedir)/$(PRG).scores\" #-DUSE_RAND
LDFLAGS = -s
LDLIBS = -lncurses

STRIP = strip
STRIPFLAGS = --strip-all --remove-section=.note --remove-section=.comment

INSTALL = install

OBJ = engine.o utils.o io.o tint.o
SRC = $(OBJ:%.o=%.c)
PRG = tint

       ########### NOTHING TO EDIT BELOW THIS ###########

.PHONY: all clean do-it-all depend with-depends without-depends debian postinst

all: do-it-all postinst

ifeq (.depends,$(wildcard .depends))
include .depends
do-it-all: with-depends
else
do-it-all: without-depends
endif

without-depends: depend with-depends

depend:
	rm -f .depends
	set -e; for F in $(SRC); do $(CC) -MM $(CFLAGS) $(CPPFLAGS) $$F >> .depends; done

with-depends: $(PRG)

$(PRG): $(OBJ)
	$(CROSS)$(CC) $(LDFLAGS) $^ -o $@ $(LDLIBS)
	$(CROSS)$(STRIP) $(STRIPFLAGS) $@

ifneq ($(DESTDIR),)
install: $(PRG)
	$(INSTALL) -d $(bindir) $(mandir) $(localstatedir)
	$(INSTALL) -s -g games -o root -m 2755 $(PRG) $(bindir)
	$(INSTALL) -g games -o root -m 0644 $(PRG).6 $(mandir)/man6
#	cp tint.scores $(localstatedir)/$(PRG).scores
#	chown root.games $(localstatedir)/$(PRG).scores
#	chmod 0664 $(localstatedir)/$(PRG).scores

uninstall:
	rm -f $(bindir)/$(PRG) $(mandir)/man6/$(PRG).6 $(localstatedir)/$(PRG).scores
endif

postinst:
	$(MAKE) -C debian

debian:
	dpkg-buildpackage -rfakeroot -k2B555AEE

clean:
	rm -f .depends *~ $(OBJ) $(PRG) {configure,build}-stamp gmon.out a.out
	rm -rf debian/$(PRG)
	rm -f debian/*.{debhelper,substvars} debian/files debian/*~

distclean: clean
	$(MAKE) -C debian clean

=== debian/changelog ===
tint (0.03a) unstable; urgency=low

  * Applied patch with some minor tweaks from Marcello Mamino which
    adds a dotted background.
  * Applied patches from Robert Lemmen which add support for user logins as
    default name and an interactive mode for specifying the start level.
  * Show player statistics.

 -- Abraham van der Merwe <abz@debian.org>  Mon, 16 Jun 2003 23:07:37 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}
 Replaces: tclassic
 Conflicts: tclassic
-Description: TINT Is Not Tetris(tm) ...at least the name isn't (:
+Description: TINT Is Not Tetris(tm) ...at least the name isn't
  As the title suggests, this is a clone of the original tetris game
  written by Alexey Pajitnov, Dmitry Pavlovsky, and Vadim Gerasimov.
  .

## tint 0.03b

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 endif
 endif
 
-CFLAGS = -Wall -O2 -pipe
+CFLAGS = -Wall -Os -pipe
 CPPFLAGS = -DSCOREFILE=\"$(localstatedir)/$(PRG).scores\" #-DUSE_RAND
 LDFLAGS = -s
 LDLIBS = -lncurses

=== debian/Makefile ===

# -*- sh -*-

# Written by Abraham van der Merwe <abz@blio.net>
# Last updated: 2002-03-26

CC = gcc
CFLAGS = -Wall -Os -pipe
LDFLAGS = -s

STRIP = strip
STRIPFLAGS = --strip-all --remove-section=.note --remove-section=.comment

OBJ =
SRC = $(OBJ:%.o=%.c)
PRG =

all: #$(PRG)

$(PRG): $(OBJ)
	$(CC) $(CPPFLAGS) $(CFLAGS) $^ -o $@ $(LDFLAGS) $(LDLIBS)

clean:
	rm -rf tint
	rm -f *~ $(OBJ) $(PRG) *.substvars *.debhelper

.PHONY: all clean

=== debian/changelog ===
tint (0.03b) unstable; urgency=low

  * Added breaks at end of switch statements to keep gcc 3+ happy
    (Closes: #316022)
  * Added missing includes to engine.c
  * Fixed spelling mistake in NOTES
  * Updated debian policy version

 -- Abraham van der Merwe <abz@debian.org>  Sun, 17 Jul 2005 13:32:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Abraham van der Merwe <abz@debian.org>
 Build-Depends: debhelper (>> 3.0.0), libncurses5-dev
-Standards-Version: 3.5.2
+Standards-Version: 3.6.1
 
 Package: tint
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tint.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tint

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
#	dh_fixperms --exclude /usr/games/tint
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tint 0.04+nmu1

=== debian/changelog ===
tint (0.04+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Create /var/games during installation (Closes: #591590) 
  * Remove score file on purge (Closes: 328472)
  * Apply Guido Berhoerster's patch to fix two buffer overflows
    (Closes: 590208)
  * Bring Standards-Version up-to-date (3.9.1).

 -- Sebastian Reichel <elektranox@gmail.com>  Sun, 08 Aug 2010 17:54:30 +0200

tint (0.04) unstable; urgency=low

  * This is the "RMLL 2010 preparation" release :-).
  * Assume maintainership (Closes: Bug#499263).
  * Add support for arrow and return keys (Closes: Bug#360910, Bug#504198,
    Bug#575583).
  * Change menu section from "Games/Tetris-like" to "Games/Blocks".
  * Use debhelper 7.
  * Do not unconditionally strip executable (Closes: Bug#438211).
  * Bring Standards-Version up-to-date (3.8.4).
  * Add option "-b <char>" for specifying the character to use when drawing
    blocks.
  * Mention "-d" in tint.6.

 -- Mario Lang <mlang@debian.org>  Wed, 23 Jun 2010 10:16:32 +0200

## tint 0.04+nmu1build1

=== debian/changelog ===
tint (0.04+nmu1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:46:30 +0000

=== debian/control ===
Source: tint
Section: games
Priority: optional
Maintainer: Mario Lang <mlang@debian.org>
Build-Depends: debhelper (>= 7), libncurses5-dev
Standards-Version: 3.9.1

Package: tint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TINT Is Not Tetris(tm) ...at least the name isn't
 As the title suggests, this is a clone of the original tetris game
 written by Alexey Pajitnov, Dmitry Pavlovsky, and Vadim Gerasimov.
 .
 The game is as close to the original as possible, but there are a few
 differences.  Nevertheless, it's probably the closest to the original
 that you'll ever find in the UNIX world...

## tint 0.04+nmu1build2

=== debian/changelog ===
tint (0.04+nmu1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:47:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tint
 Section: games
 Priority: optional
-Maintainer: Mario Lang <mlang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mario Lang <mlang@debian.org>
 Build-Depends: debhelper (>= 7), libncurses5-dev
 Standards-Version: 3.9.1

## tint 0.04+nmu1build3

=== debian/changelog ===
tint (0.04+nmu1build3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:19:39 +0000

## tint 0.05

=== debian/changelog ===
tint (0.05) unstable; urgency=medium

  * Put package under Games Team umbrella (Closes: #840874)
  * Switch copyright to machine-readable format (Closes: #823220)
  * Migrate menu to .desktop; add icon; install both (Closes: #738046)
  * Document global scores usage (Closes: #769296)
  * Bump debhelper compat level to 11
  * Update Standards-Version to 4.3.0
  * Remove package name from short description
  * Remove flags from shell line
  * Add Vcs-{Git|Browser} with current URLs
  * Remove whitespace and editor's config lines

 -- Ricardo Mones <mones@debian.org>  Sat, 26 Jan 2019 16:33:35 +0100

=== debian/control ===
Source: tint
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper (>= 11), libncurses5-dev
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/games-team/tint.git
Vcs-Browser: https://salsa.debian.org/games-team/tint

Package: tint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tetris clone for text based terminal
 TINT Is Not Tetris(tm) ...at least the name isn't.
 .
 As the title suggests, this is a clone of the original tetris game
 written by Alexey Pajitnov, Dmitry Pavlovsky, and Vadim Gerasimov.
 .
 The game is as close to the original as possible, but there are a few
 differences. Nevertheless, it's probably the closest to the original
 that you'll ever find in the UNIX world...

## tint 0.05+nmu1

=== debian/changelog ===
tint (0.05+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:44:58 +0800

## tint 0.06

=== debian/changelog ===
tint (0.06) unstable; urgency=medium

  * Bump Stantards-Version to 4.5.0 (no other changes)
  * Bump compat level to 13
  * Add Rules-Requires-Root field
  * Fix "Error creating /var/games/tint.scores"
    Thanks to Asher Gordon for the initial patch (Closes: #930128)

 -- Ricardo Mones <mones@debian.org>  Tue, 22 Sep 2020 01:20:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Ricardo Mones <mones@debian.org>
-Build-Depends: debhelper (>= 11), libncurses5-dev
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), libncurses5-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/games-team/tint.git
 Vcs-Browser: https://salsa.debian.org/games-team/tint

=== debian/rules ===
#!/usr/bin/make -f

TINT := debian/tint/usr/games/tint

%:
	dh $@

execute_after_dh_fixperms:
	chown root:games $(TINT)
	chmod 2755 $(TINT)

## tint 0.07

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,6 @@
 #  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 #  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-#CROSS = arm-linux-
-
 bindir = $(DESTDIR)/usr/games
 mandir = $(DESTDIR)/usr/share/man
 localstatedir = $(DESTDIR)/var/games
@@ -44,15 +42,9 @@
 endif
 endif
 
-CFLAGS = -Wall -Os -pipe
+CFLAGS += -Wall
 CPPFLAGS = -DSCOREFILE=\"$(localstatedir)/$(PRG).scores\" #-DUSE_RAND
-LDFLAGS = -s
 LDLIBS = -lncurses
-
-STRIP = strip
-STRIPFLAGS = --strip-all --remove-section=.note --remove-section=.comment
-
-INSTALL = install
 
 OBJ = engine.o utils.o io.o tint.o
 SRC = $(OBJ:%.o=%.c)
@@ -60,9 +52,9 @@
 
        ########### NOTHING TO EDIT BELOW THIS ###########
 
-.PHONY: all clean do-it-all depend with-depends without-depends debian postinst
+.PHONY: all clean do-it-all depend with-depends without-depends debian
 
-all: do-it-all postinst
+all: do-it-all
 
 ifeq (.depends,$(wildcard .depends))
 include .depends
@@ -81,32 +73,9 @@
 
 $(PRG): $(OBJ)
 	$(CROSS)$(CC) $(LDFLAGS) $^ -o $@ $(LDLIBS)
-	$(CROSS)$(STRIP) $(STRIPFLAGS) $@
-
-ifneq ($(DESTDIR),)
-install: $(PRG)
-	$(INSTALL) -d $(bindir) $(mandir) $(localstatedir)
-	$(INSTALL) -s -g games -o root -m 2755 $(PRG) $(bindir)
-	$(INSTALL) -g games -o root -m 0644 $(PRG).6 $(mandir)/man6
-#	cp tint.scores $(localstatedir)/$(PRG).scores
-#	chown root.games $(localstatedir)/$(PRG).scores
-#	chmod 0664 $(localstatedir)/$(PRG).scores
-
-uninstall:
-	rm -f $(bindir)/$(PRG) $(mandir)/man6/$(PRG).6 $(localstatedir)/$(PRG).scores
-endif
-
-postinst:
-	$(MAKE) -C debian
-
-debian:
-	dpkg-buildpackage -rfakeroot -k2B555AEE
 
 clean:
 	rm -f .depends *~ $(OBJ) $(PRG) {configure,build}-stamp gmon.out a.out
-	rm -rf debian/$(PRG)
-	rm -f debian/*.{debhelper,substvars} debian/files debian/*~
 
 distclean: clean
-	$(MAKE) -C debian clean

=== debian/changelog ===
tint (0.07) unstable; urgency=medium

  * Sanitize input after fgets() (Closes: #948025)
  * Fix deprecated function usage
  * Make room for printing a 32 bit integer
  * Update copytight years
  * Bump Stantards-Version to 4.6.0 (no other changes)

 -- Ricardo Mones <mones@debian.org>  Sun, 06 Feb 2022 17:57:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Ricardo Mones <mones@debian.org>
 Build-Depends: debhelper-compat (= 13), libncurses5-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/games-team/tint.git
 Vcs-Browser: https://salsa.debian.org/games-team/tint

## tint 0.08

=== debian/changelog ===
tint (0.08) unstable; urgency=medium

  * Update Build-Depends to current development package
  * Update Standards-Version to 4.7.2 with no other changes
  * Hide desktop-entry file from AppStream

 -- Ricardo Mones <mones@debian.org>  Wed, 26 Nov 2025 19:49:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Ricardo Mones <mones@debian.org>
-Build-Depends: debhelper-compat (= 13), libncurses5-dev
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), libncurses-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/games-team/tint.git
 Vcs-Browser: https://salsa.debian.org/games-team/tint
